Page MenuHomePhabricator

Remove Italian as fallback language for Maltese
Closed, ResolvedPublic

Description

During a talk today at Celtic Knot, Toni Sant and Neville Borg from the Wikimedia Community User Group Malta were talking about some of the issues that the Maltese Wikipedia has, and they mentioned that some parts of the interface is in Italian, which is very confusing.

The reason parts of the interface are in Italian, of course, is that it is defined as the fallback language. English is co-official with Maltese in Malta, so it makes much more sense to use that as the fallback language instead of Italian, so we should remove Italian. Will upload patch shortly.

Related Objects

Event Timeline

jhsoby created this task.Jul 9 2020, 3:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2020, 3:57 PM

Change 610865 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[mediawiki/core@master] Remove Italian as fallback for Maltese

https://gerrit.wikimedia.org/r/610865

For the sake of proper process, there should also be some community discussion about this. The main question that has to be discussed and agreed upon in this discussion is: which language are the readers of the Maltese Wikipedia more likely to know, Italian or English? If Italian is considerably more likely, then maybe it should remain. Otherwise, it should be removed.

And of course, the best solution is to localize everything in translatewiki, but of course it will take some time ;)

jhsoby added a comment.Jul 9 2020, 4:02 PM

Yes, of course, hence why I added @Nevborg to the task. There is a Maltese meetup going on right now if you'd like to join: http://www.wikimalta.org/meetup

Nikki added a subscriber: Nikki.Jul 9 2020, 5:50 PM
MarcoAurelio moved this task from Untriaged to Fallback on the I18n board.Jul 16 2020, 2:56 PM

There has been a community discussion about this open for over a week (here: https://mt.wikipedia.org/wiki/Wikipedija:Pjazza#/*_Interfa%C4%8B%C4%8Bja_mhux_bit-Taljan_*/) and it seems quite clear that the community is in favour of the removal of Italian from the interface. There have been four votes in favour of its removal, one neutral vote, and no votes against.

Change 610865 merged by jenkins-bot:
[mediawiki/core@master] Remove Italian as fallback for Maltese

https://gerrit.wikimedia.org/r/610865

Amire80 closed this task as Resolved.Jul 22 2020, 3:56 PM

Will be deployed to Wikipedia in the next train.

Change 617126 had a related patch set uploaded (by Reedy; owner: Jon Harald Søby):
[mediawiki/core@REL1_35] Remove Italian as fallback for Maltese

https://gerrit.wikimedia.org/r/617126

Change 617126 merged by jenkins-bot:
[mediawiki/core@REL1_35] Remove Italian as fallback for Maltese

https://gerrit.wikimedia.org/r/617126